%define version 0.9.3
%define release %mkrel 5

# this situation is similar to Berkeley DB
%define libname %mklibname Eterm %{version}

Summary:	Eterm (Enlightened Terminal Emulator) is a terminal emulator
Name:		Eterm
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Terminals
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://eterm.sourceforge.net/

Source0:	http://www.eterm.org/download/%{name}-%{version}.tar.bz2
Source5:	http://www.eterm.org/download/%{name}-bg-%{version}.tar.bz2
Patch1:		Eterm-0.9.1-themefix.patch.bz2
Patch2:		Eterm-0.9.2-muttandirc-themes.patch.bz2
Patch3:		Eterm-0.9.3-no-freetype1.patch.bz2
Patch4:		Eterm-0.9.3-no-rpath.patch.bz2
Patch5:		Eterm-0.9.3-gcc4.patch.bz2

BuildRequires:	imlib2-devel
BuildRequires:	libast-devel >= 0.5
BuildRequires:	pcre-devel
BuildRequires:	utempter-devel
BuildRequires:	automake1.8 libxt-devel
Requires(pre):	ncurses
# needed by Etbg_update_list script
Requires(pre):	diffutils

%description
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, although it is designed
to work and integrate best with Enlightenment.


%package -n	%{libname}
Summary:	Library from Eterm (Enlightened Terminal Emulator)
Group:		Terminals

%description -n	%{libname}
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, although it is designed
to work and integrate best with Enlightenment.

This library is essential for Eterm to work.


%if 0
%package	devel
Summary:	Devel files for Eterm
Group:		Development/Other
Requires:	%{name} = %{version}

%description	devel
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, although it is designed
to work and integrate best with Enlightenment.

This package provides the necessary development libraries and include files
to allow you to develop or compile programs that needs Eterm, though no such
program has existed so far.
%endif

%prep
%setup -q -a5
#patch1 -p1 
%patch2 -p1
%patch3 -p1 -b .no-ttf
%patch4 -p1 -b .no-rpath
%patch5 -p1 -b .gcc4

# need to regen all auto* stuff, for patches
%__libtoolize -c -f
AUTOMAKE=automake-1.9 ACLOCAL=aclocal-1.9 FORCE_AUTOCONF_2_5=1 autoreconf --force --install

# patch1 also sets $TERM = xterm for all themes,
# do that here since patch1 is not applied
find themes/ -name 'theme.cfg.in' -print0 | xargs -0 -r perl -pi -e 's/term_name Eterm/term_name xterm/'

%build
%configure2_5x \
	--with-backspace=bs \
	--with-delete=execute \
	--enable-trans=yes \
	--disable-mmx \
	--enable-multi-charset=yes

%make


%install
rm -fr %buildroot
%makeinstall_std

# Install menu
install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 needs="x11" \
 section="System/Terminals" \
 title="Eterm" \
 longtitle="Enlightened Terminal Emulator" \
 command="%{_bindir}/Eterm" \
 icon="terminals_section.png" \
 xdg="true"
_EOF_

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Eterm
Comment=Enlightened Terminal Emulator
Exec=%{name}
Icon=terminals_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Terminals;TerminalEmulator;;
EOF

# remove unneeded files
rm -f %{buildroot}%{_libdir}/libEterm.so \
      %{buildroot}%{_libdir}/libEterm.a \
      %{buildroot}%{_libdir}/libEterm.la

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
%{update_menus}
update-alternatives --install /usr/bin/xvt xvt /usr/bin/Eterm 15

if [ -d %{_datadir}/terminfo -a ! -f %{_datadir}/terminfo/E/Eterm ]; then
    tic -o %{_datadir}/terminfo %{_datadir}/doc/%{name}-%{version}/%{name}.ti
fi

%{_bindir}/Etbg_update_list

%postun
%{clean_menus}	
[ "$1" = "0" ]&& update-alternatives --remove xvt /usr/bin/Eterm

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-, root, root,0755)
%doc ChangeLog README ReleaseNotes doc/Eterm.tcap doc/Eterm.ti doc/Eterm_reference.html bg/README.backgrounds
%{_bindir}/*
%dir %{_datadir}/Eterm
%config(noreplace) %{_datadir}/Eterm/themes
%{_datadir}/Eterm/pix
%{_mandir}/man1/Eterm.1.*
%{_menudir}/*
%{_datadir}/applications/mandriva-%name.desktop

%files -n %{libname}
%defattr(-, root, root,0755)
%{_libdir}/libEterm-*.so

%if 0
%files devel
%defattr(-,root,root,-)
%{_libdir}/*.a
%{_libdir}/*.la
%endif

%changelog
* Wed Sep 06 2006 Jerome Soyer <saispo@mandriva.org> 0.9.3-5mdv2007.0
- XDG Menu
- Fix alternatives error

* Wed Jun 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.3-4mdv2007.0
- fix buildrequires

* Fri May 12 2006 Couriousous <couriousous@mandriva.org> 0.9.3-3mdk
- Yearly rebuild
- Fix gcc4 build

* Thu Apr 28 2005 Couriousous <couriousous@mandriva.org> 0.9.3-2mdk
- From trem : 
    - Disable mmx ( fix amd64 compile and not all i586 have mmx )

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 0.9.3-1mdk
- New version
- Don't apply patch1, use Eterm-bg again since copyright is clear now
- All programs written by Rasterman has been GPL'ed. Yay!
- Can't bear with non-antialiased icons, better use mdk default ones
- P3: Don't link against freetype 1.x
- Add missing (Build)Requires
- mklibname
- Remove so-called devel package, which is useless
- Update Eterm background image list in scriptlet

* Tue Jun 01 2004 Michael Scherer <misc@mandrake.org> 0.9.2-6mdk 
- [DIRM]

* Sat May 15 2004 Michael Scherer <misc@mandrake.org> 0.9.2-5mdk 
- remove devel requrement

* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 0.9.2-4mdk 
- Birthday rebuild
- rpmbuildupdate aware
- fix some rpmlint warning

* Sun Apr 20 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-3mdk
- BuildRequires

* Mon Jan 27 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.9.2-2mdk
- Requires: libast1 >= 0.5

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2
- rediff P2
- fix typeo in mutt theme
- build with Escreen support

* Wed Aug 28 2002 Ben Reser <ben@reser.org> 0.9.1-6mdk
- Remove menu entries for missing backgrounds and regenerate the patches

* Mon Aug 26 2002 David BAUDENS <baudens@mandrakesoft.com> 0.9.1-5mdk
- Remove Eterm-bg because there is no copyright note for theses images

* Sat Aug 24 2002 Ben Reser <ben@reser.org> 0.9.1-4mdk
- I knew I should have waited to put this out... 
- Fix colors in the mutt theme so they match mutt's color
  names. 
- Turn off scrollbar in mutt theme.
- While I'm at it modify all the themes to default to
  xterm
- Make /usr/share/Eterm/themes/* %%config(noreplace)

* Sat Aug 24 2002 Ben Reser <ben@reser.org> 0.9.1-3mdk
- Add --enable-multi-charset, makes Eterm like multi-byte wide fonts.
- Put the background images back in.
- Fix the menus so they point only to backgrounds that are included.
- Add some missing documentation files
- Ported and added the mutt and irc themes from Eterm 0.8.10

* Fri Aug 23 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.9.1-2mdk
- BuildRequires: libast-devel, freetype-devel, imlib2-devel (not
  imlib-devel) (re: ben@reser.org)
- Requires: libimlib2_1-loaders (re: ben@reser.org)
- put icons back
- use --with-delete=execute, --with-backspace=bs, and --enable-trans
  in configure
- better cleanup
- put libEterm.la into -devel
- fix update alternatives so they actually point to Eterm
- add termcap and terminfo files to package
- have %%post create the terminfo file on the system


* Mon Aug 19 2002 David BAUDENS <baudens@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Wed Feb  6 2002 Stefan van der Eijk <stefan@eijk.nu> 0.8.10-20mdk
- BuildRequires

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.10-19mdk
- remvove RPM_SOURCE_DIR usage
- xpm -> png icons

* Wed Dec 19 2001 Yves Duret <yduret@mandrakesoft.com> 0.8.10-18mdk
- rebuild against libpng3 !! (dadou too lazy to do it).
- corrected version number to 0.8.10 instead of O.8.10 (yeah capital o)

* Mon Sep 17 2001 Christian Belisle <cbelisle@mandrakesoft.com> O.8.10-17mdk
- Fixed menu entry

* Mon Jul 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> O.8.10-16mdk
- BuildRequires: s/utempter-devel/libutempter0-devel
- s/Copyright/License

* Tue Mar 27 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> O.8.10-15mdk
- various dedadoufication (aka spec cleaning) :
- get rid of stupid tar
- simplify scripts
- use right macros
- %%install doesn't need to clean
- ...

* Thu Feb  8 2001 Warly <warly@mandrakesoft.com> O.8.10-14mdk
- add alternatives on xvt

* Sat Jan 27 2001 Vincent Danen <vdanen@mandrakesoft.com> O.8.10-13mdk
- Rebuild to fix problems with loading (Eterm kept crashing)

* Mon Nov 13 2000 David BAUDENS <baudens@mandrakesoft.com> O.8.10-12mdk
- Build with glibc-2.2 & gcc-2.96

* Fri Sep 25 2000 David BAUDENS <baudens@mandrakesoft.com> O.8.10-11mdk
- Fix keyboard section for Mutt theme (thanks to Ben Reser)

* Fri Sep 01 2000 David BAUDENS <baudens@mandrakesoft.com> O.8.10-10mdk
- Fix delete key problem (thanks to Anton Graham)
- Make RPMLint happy

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> O.8.10-9mdk
- automatically added BuildRequires

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.8.10-8mdk
- run update-menu in post and postun sections
- fix version 
- SMP build/check

* Wed Mar 29 2000 David BAUDENS <baudens@mandrakesoft.com> 0.16-7mdk
- Menu support
- Disable visual bell
- Fix a typo in Summary

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10-6mdk
- Enable Mandrake Theme

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10-5mdk
- Use new Group
- Use %%{_tmppath} for BuildRoot
- Update Description

* Mon Jan 03 2000 David BAUDENS <baudens@mandrakesoft.com>
- Fix name

* Sun Dec 26 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix bg

* Sat Dec 25 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add utemper patch from Tim POWERS <tim@redhat.com>

* Tue Nov 25 1999 - David BAUDENS <baudens@mandrakesoft.com> 
- 0.8.10 
- Make relocatable
- Clean up spec file
  
* Wed Dec 30 1998 mej <mej@mw.3com.com> 
- Added spec file.  Created by techn0ir <technoir@themes.org> 
- Modified spec file for Mandrake <johnb@mandrakesoft.com> 
